package org.seasar.extension.dataset.impl;

import javax.sql.DataSource;

import org.seasar.extension.dataset.DataSet;
import org.seasar.extension.dataset.TableWriter;

public class SqlServerSqlWriter extends SqlWriter {

	public SqlServerSqlWriter(final DataSource dataSource) {
		super(dataSource);
	}

	public void write(final DataSet dataSet) {
		final TableWriter writer = new SqlServerSqlTableWriter(getDataSource());
		for (int i = 0; i < dataSet.getTableSize(); ++i) {
			writer.write(dataSet.getTable(i));
		}
	}
}
